var LineChartUpdate = function (obj) {

    this.context = obj.context;

    this.tagId = obj.tagId;

    if (!obj.hasOwnProperty('length')) {
        obj.length = 10;
    }

    if (!obj.hasOwnProperty('data')) {
        obj.data = [];
    }

    if (!obj.hasOwnProperty('labels')) {
        obj.labels = [];
    }
    
    if (!obj.hasOwnProperty('backgroundColor')) {
        obj.backgroundColor = "rgba(75,192,192,0.4)";
    }
    
    if (!obj.hasOwnProperty('pointBorderColor')) {
        obj.pointBorderColor = "rgba(75,192,192,1)";
    }
    
    if (!obj.hasOwnProperty('borderColor')) {
        obj.borderColor = "rgba(75,192,192,1)";
    }
    
    if (!obj.hasOwnProperty('pointBackgroundColor')) {
        obj.pointBackgroundColor = "#fff";
    }
    
    if (!obj.hasOwnProperty('pointHoverBackgroundColor')) {
        obj.pointHoverBackgroundColor = "rgba(75,192,192,1)";
    }
    
    if (!obj.hasOwnProperty('pointHoverBorderColor')) {
        obj.pointHoverBorderColor = "rgba(220,220,220,1)";
    }
    
    this.length = obj.length;

    var data = {
        labels: obj.labels,
        datasets: [
            {
                label: obj.title,
                fill: false,
                lineTension: 0.1,
                backgroundColor: obj.backgroundColor,
                borderColor: obj.borderColor,
                borderCapStyle: 'butt',
                borderDash: [],
                borderDashOffset: 0.0,
                borderJoinStyle: 'miter',
                pointBorderColor: obj.borderColor,
                pointBackgroundColor: obj.pointBackgroundColor,
                pointBorderWidth: 1,
                pointHoverRadius: 5,
                pointHoverBackgroundColor: obj.pointHoverBackgroundColor,
                pointHoverBorderColor: obj.pointHoverBorderColor,
                pointHoverBorderWidth: 2,
                pointRadius: 1,
                pointHitRadius: 10,
                data: obj.data,
                spanGaps: false
            }
        ]
    };

    var options = {
        legend: {
            display: true,
            labels: {
                fontColor: 'rgb(255, 99, 132)'
            }
        }
    };

    this.chart = new Chart(this.context, {
        type: 'line',
        data: data,
        options: options
    });

    this.update = function (labels, data) {
        this.chart.data.labels = labels;
        this.chart.data.datasets[0].data = data;
        this.chart.update();
    };

    this.add = function (label, data) {

        if (this.chart.data.labels.length > this.length) {
            this.chart.data.labels.splice(0, 1);
        }

        if (this.chart.data.datasets[0].data.length > this.length) {
            this.chart.data.datasets[0].data.splice(0, 1);
        }

        this.chart.data.labels.push(label);
        this.chart.data.datasets[0].data.push(data);
        this.chart.update(1000, true);

        if (this.hasOwnProperty('tagId')) {
            var valor = document.getElementById(this.tagId);
            valor.innerHTML = data;
        }
    };
};